// Solicitud AJAX para notificar eliminación de chofer
$.ajax({
    type: "GET",
    url: "../../Controlador/Utilidades/Notifi_Eliminar_Chofer.php",
    dataType: "json",

    success: function(response) {
        if (response.hasOwnProperty('delate')) {
            var id_Delate = response.delate;

            Swal.fire({
                title: 'Chofer de ID N°: ' + id_Delate,
                text: '¡Eliminado Correctamente!',
                icon: 'success',
                showConfirmButton: false,
                timer: 1800
            });

            console.log("Chofer de ID N°: "+ id_Delate +" Eliminado Correctamente");

            $.ajax({
                type: "GET",
                url: "../../Controlador/Utilidades/POST_Eliminar_SessionID_Chofer.php",
                dataType: "json",

                success: function(response) {
                    if (response.hasOwnProperty('id_delate')) {
                        console.log("-> DelateID Chofer:", response.id_delate);
                    }
                },

                error: function(xhr, status, error) {
                    console.error("-> Error AJAX(POST_Eliminar_SessionID_Chofer.php):", error);
                }
            });

        } else {
            var error = response.error;
            console.log("-> Mensaje de [Notifi_Eliminar_Chofer.php]:", error);
        }
    },

    error: function(xhr, status, error) {
        Swal.fire({
            title: 'Error',
            text: 'Hubo un error al obtener la sesión. Por favor, inténtalo de nuevo más tarde.',
            icon: 'error',
            showConfirmButton: true
        });

        console.error("-> AJAX(Notifi_Eliminar_Chofer.php):", error);
    }
});
